Не могу обновиться до 2.5.28

0 Пользователей и 1 Гость просматривают эту тему.
  • 78 Ответов
  • 2912 Просмотров
*

jess

  • Давно я тут
  • ****
  • 244
  • 1
Не могу обновиться до 2.5.28
« : 05.02.2016, 14:08:13 »
Всем здравствуйте!
При попытке обновления с версии 2.5.9 до 2.5.28 при помощи Admin Tools выскакивает окошко: The archive file is corrupt, truncated or archive parts are missing.
О каком архиве идет речь?
Что сделать, чтобы обновиться?

*

Apoca1ypto

  • Завсегдатай
  • *****
  • 719
  • 69
Re: Не могу обновиться до 2.5.28
« Ответ #1 : 05.02.2016, 14:17:56 »
Скачайте по ССЫЛКЕ и установите через стандартный менеджер расширений.
Во время спора в Интернете Ваш оппонент приводит неопровержимые доказательства своей точки зрения? Не отчаивайтесь. До...тесь до орфографии.

*

jess

  • Давно я тут
  • ****
  • 244
  • 1
Re: Не могу обновиться до 2.5.28
« Ответ #2 : 05.02.2016, 14:28:10 »
Скачайте по ССЫЛКЕ и установите через стандартный менеджер расширений.

Обнаружена ошибка: копирование не удалось:(

*

SeBun

  • Практически профи
  • *******
  • 3078
  • 186
  • @SeBun48
Re: Не могу обновиться до 2.5.28
« Ответ #3 : 05.02.2016, 14:35:44 »
У вас 2.5.28. Заходим и удаляем все компоненты и плагины, которые не имеют своей базы данных. Такие как JComments можно оставить. Заходите в админку и включаете обновление. Затем обновляетесь. Тут расписан весь процесс. На каком этапе ошибка?
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Администрирование | Разработка
Ник занят

*

jess

  • Давно я тут
  • ****
  • 244
  • 1
Re: Не могу обновиться до 2.5.28
« Ответ #4 : 05.02.2016, 14:58:37 »
У вас 2.5.28. Заходим и удаляем все компоненты и плагины, которые не имеют своей базы данных. Такие как JComments можно оставить. Заходите в админку и включаете обновление. Затем обновляетесь. Тут расписан весь процесс. На каком этапе ошибка?

У меня сейчас 2.5.9, до 2.5.28 пытаюсь обновиться. А как узнать, какие компоненты и плагины не имеют своей базы данных? Проблема в том, что на сайте установлено много разных расширений, 100% не все они используются. Но какие из них не нужны - не знаю.  Не я делала сайт.

*

SeBun

  • Практически профи
  • *******
  • 3078
  • 186
  • @SeBun48
Re: Не могу обновиться до 2.5.28
« Ответ #5 : 05.02.2016, 15:11:41 »
У меня сейчас 2.5.9, до 2.5.28 пытаюсь обновиться.
? Нет такой версии 2.5.9
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Администрирование | Разработка
Ник занят

*

jess

  • Давно я тут
  • ****
  • 244
  • 1
Re: Не могу обновиться до 2.5.28
« Ответ #6 : 05.02.2016, 15:15:46 »
? Нет такой версии 2.5.9

Ну как же нет, она просто древняя!:) В футере админки написано: Joomla! 2.5.9. Просто сайт сделали год назад, и никто им с тех пор практически не занимался. А теперь вот мне поручено разруливать косяки...

*

SeBun

  • Практически профи
  • *******
  • 3078
  • 186
  • @SeBun48
Re: Не могу обновиться до 2.5.28
« Ответ #7 : 05.02.2016, 16:04:01 »
Ну как же нет, она просто древняя!:) В футере админки написано: Joomla! 2.5.9.
Да, все верно, приношу свои извинения. Вот как, даже забыл, что была такая версия... Тогда попробуйте обновить ее с помощью пакета обновления. Зайдите сюда. Скачайте пакет Joomla_2.5.x_to_2.5.28-Stable-Patch_Package.tar.gz и попробуйте обновить им. Отпишитесь, что получилось.
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Администрирование | Разработка
Ник занят

*

Apoca1ypto

  • Завсегдатай
  • *****
  • 719
  • 69
Re: Не могу обновиться до 2.5.28
« Ответ #8 : 05.02.2016, 16:09:48 »
Да, все верно, приношу свои извинения. Вот как, даже забыл, что была такая версия... Тогда попробуйте обновить ее с помощью пакета обновления. Зайдите сюда. Скачайте пакет Joomla_2.5.x_to_2.5.28-Stable-Patch_Package.tar.gz и попробуйте обновить им. Отпишитесь, что получилось.
как бы
Скачайте по ССЫЛКЕ и установите через стандартный менеджер расширений.

Обнаружена ошибка: копирование не удалось:(
Есть вариант, что у Вас на хостинге стоит запрет на загрузку файлов свыше 2мбайт.

Попробуйте следующее, сохраните к себе на компьютер файл, ссылку на который дали выше. Затем загрузите его на хостинг в папку tmp и в менеджере расширений есть вариант Установить из каталога, после tmp допишите / и название файла и нажмите Установить.
Во время спора в Интернете Ваш оппонент приводит неопровержимые доказательства своей точки зрения? Не отчаивайтесь. До...тесь до орфографии.

*

SeBun

  • Практически профи
  • *******
  • 3078
  • 186
  • @SeBun48
Re: Не могу обновиться до 2.5.28
« Ответ #9 : 05.02.2016, 16:37:07 »
как бы...
Ну все, молчу тогда )))
Единственное, что добавлю - такие вещи на хостинге не делаются. Денвер или OpenServer в помощь.
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Администрирование | Разработка
Ник занят

*

jess

  • Давно я тут
  • ****
  • 244
  • 1
Re: Не могу обновиться до 2.5.28
« Ответ #10 : 05.02.2016, 16:47:43 »
Даа, похоже без 100 гр.здесь не разобраться  :o
Не удается загрузить пакет обновления, пишет: Обнаружена ошибка: копирование не удалось

*

Apoca1ypto

  • Завсегдатай
  • *****
  • 719
  • 69
Re: Не могу обновиться до 2.5.28
« Ответ #11 : 05.02.2016, 16:49:34 »
Даа, похоже без 100 гр.здесь не разобраться  :o
Не удается загрузить пакет обновления, пишет: Обнаружена ошибка: копирование не удалось
Вы файл скопировали в tmp через ftp?
Во время спора в Интернете Ваш оппонент приводит неопровержимые доказательства своей точки зрения? Не отчаивайтесь. До...тесь до орфографии.

*

SeBun

  • Практически профи
  • *******
  • 3078
  • 186
  • @SeBun48
Re: Не могу обновиться до 2.5.28
« Ответ #12 : 05.02.2016, 17:00:39 »
Даа, похоже без 100 гр.здесь не разобраться  :o
Не удается загрузить пакет обновления, пишет: Обнаружена ошибка: копирование не удалось
Скиньте мне на почту бекап, сделаю. Сколько дадите за работу, столько и дадите. А нет, пусть будет за бесплатно. Сейчас в личку кину координаты.
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Администрирование | Разработка
Ник занят

*

voland

  • Профи
  • ********
  • 9378
  • 421
  • СКАЙП утерян! Пишите в телеграм @volandku
Re: Не могу обновиться до 2.5.28
« Ответ #13 : 05.02.2016, 23:48:31 »
Как же она скинет бэкап, если она не может зайти в настройки и настроить пути чтоб работало?
Это и есть причина невозможности обновиться.
А также не работает установка акиб.

*

jess

  • Давно я тут
  • ****
  • 244
  • 1
Re: Не могу обновиться до 2.5.28
« Ответ #14 : 06.02.2016, 03:34:56 »
А не может быть конфликт с каким-то из компонентов? Например, К2?
У меня в админке раньше было меню К2, а после неудачной попытки обновиться внизу появилось еще одно -  стандартное джумловское! :o

*

voland

  • Профи
  • ********
  • 9378
  • 421
  • СКАЙП утерян! Пишите в телеграм @volandku
Re: Не могу обновиться до 2.5.28
« Ответ #15 : 06.02.2016, 03:38:04 »
Цитировать
если она не может зайти в настройки и настроить пути
А данную гипотезу проверить можете?

*

dmitry_stas

  • Профи
  • ********
  • 9666
  • 930
Re: Не могу обновиться до 2.5.28
« Ответ #16 : 06.02.2016, 03:39:57 »
Как же она скинет бэкап, если она не может зайти в настройки и настроить пути чтоб работало?
зайти... прочитать тяжело, не то, что зайти :)
Тут дарят бакс просто за регистрацию! Успей получить!
Все советы на форуме раздаю бесплатно, то есть даром. Индивидуально бесплатно консультирую только по вопросам стоимости индивидуальных консультаций

*

jess

  • Давно я тут
  • ****
  • 244
  • 1
Re: Не могу обновиться до 2.5.28
« Ответ #17 : 06.02.2016, 03:45:59 »
А данную гипотезу проверить можете?
Вы имеете в виду эти пути?
Попробуйте следующее, сохраните к себе на компьютер файл, ссылку на который дали выше. Затем загрузите его на хостинг в папку tmp и в менеджере расширений есть вариант Установить из каталога, после tmp допишите / и название файла и нажмите Установить.
Могу, но боюсь!

*

voland

  • Профи
  • ********
  • 9378
  • 421
  • СКАЙП утерян! Пишите в телеграм @volandku
Re: Не могу обновиться до 2.5.28
« Ответ #18 : 06.02.2016, 03:47:05 »
Понятно, не надо всё таки открыть тут психологическую поддержку.
Мне после таких топиков тоже не помешает.

*

jess

  • Давно я тут
  • ****
  • 244
  • 1
Re: Не могу обновиться до 2.5.28
« Ответ #19 : 06.02.2016, 03:58:14 »
Понятно, не надо всё таки открыть тут психологическую поддержку.
Мне после таких топиков тоже не помешает.
Не, ребят, без шуток...просто сайт не мой, я и так с ним намучилась, пока дизайн меняла. То один косяк вылезет, то другой. Я, конечно, далеко не профи в технических вопросах, как некоторые здесь, но там реально много путаницы было. Поэтому и страшно, что опять все слетит.
P.s. И бэкап скачать могу, все-таки не блондинка!:)

*

voland

  • Профи
  • ********
  • 9378
  • 421
  • СКАЙП утерян! Пишите в телеграм @volandku
Re: Не могу обновиться до 2.5.28
« Ответ #20 : 06.02.2016, 04:05:34 »
Страшно - доверьте профессионалу и не пудрите тут мозги фоточкой ;-)

*

jess

  • Давно я тут
  • ****
  • 244
  • 1
Re: Не могу обновиться до 2.5.28
« Ответ #21 : 06.02.2016, 04:13:24 »
Страшно - доверьте профессионалу и не пудрите тут мозги фоточкой ;-)

Хочется самой разобраться! Ладно, попытаю еще счастья, не получится - последую Вашему совету. Извините за запудривание:)

*

Apoca1ypto

  • Завсегдатай
  • *****
  • 719
  • 69
Re: Не могу обновиться до 2.5.28
« Ответ #22 : 06.02.2016, 18:59:57 »
Могу, но боюсь!
А без бэкапа Вы не боитесь все обновлять? )
Попробуйте сделать все как я написал выше и должно получится.
Во время спора в Интернете Ваш оппонент приводит неопровержимые доказательства своей точки зрения? Не отчаивайтесь. До...тесь до орфографии.

*

dmitry_stas

  • Профи
  • ********
  • 9666
  • 930
Re: Не могу обновиться до 2.5.28
« Ответ #23 : 06.02.2016, 19:25:10 »
Могу, но боюсь!
:)
так а пути в настройках все таки проверили или нет?
Тут дарят бакс просто за регистрацию! Успей получить!
Все советы на форуме раздаю бесплатно, то есть даром. Индивидуально бесплатно консультирую только по вопросам стоимости индивидуальных консультаций

*

Taatshi

  • Support Team
  • *****
  • 4782
  • 452
Re: Не могу обновиться до 2.5.28
« Ответ #24 : 06.02.2016, 22:56:02 »
Место на хостинге кончилось.
ВЕРСТКА, САЙТЫ ПОД КЛЮЧ, УДАЛЕНИЕ ВИРУСОВ, МИГРАЦИЯ НА JOOMLA 3  /  ОТЗЫВЫ 
Минимальная ставка за платные услуги 1000 рэ Связь: telegram - Taatshi, почта - Taatshi на яндексе.

*

dmitry_stas

  • Профи
  • ********
  • 9666
  • 930
Re: Не могу обновиться до 2.5.28
« Ответ #25 : 06.02.2016, 23:23:21 »
кстати да, вариант, почему бы нет
Тут дарят бакс просто за регистрацию! Успей получить!
Все советы на форуме раздаю бесплатно, то есть даром. Индивидуально бесплатно консультирую только по вопросам стоимости индивидуальных консультаций

*

jess

  • Давно я тут
  • ****
  • 244
  • 1
Re: Не могу обновиться до 2.5.28
« Ответ #26 : 07.02.2016, 03:52:45 »
А без бэкапа Вы не боитесь все обновлять? )
Попробуйте сделать все как я написал выше и должно получится.

Проверю завтра, отпишусь. Сегодня были проблемы на стороне хостера, не могла скачать БД. Бэкап БД ведь тоже нужен?

*

dmitry_stas

  • Профи
  • ********
  • 9666
  • 930
Re: Не могу обновиться до 2.5.28
« Ответ #27 : 07.02.2016, 03:57:05 »
да
Тут дарят бакс просто за регистрацию! Успей получить!
Все советы на форуме раздаю бесплатно, то есть даром. Индивидуально бесплатно консультирую только по вопросам стоимости индивидуальных консультаций

*

jess

  • Давно я тут
  • ****
  • 244
  • 1
Re: Не могу обновиться до 2.5.28
« Ответ #28 : 07.02.2016, 21:07:41 »
Загрузила по FTP сюда: корневая папка/html/tmp
Прописала путь в менеджере расширений (Установка из каталога). Пишет:
Невозможно найти установочный пакет. Пожалуйста, укажите каталог пакета
Что я делаю не так?

*

vipiusss

  • Профи
  • ********
  • 5522
  • 318
  • JoomlaNet
Re: Не могу обновиться до 2.5.28
« Ответ #29 : 07.02.2016, 21:13:02 »
Загрузила по FTP сюда: корневая папка/html/tmp
Прописала путь в менеджере расширений (Установка из каталога). Пишет:
Невозможно найти установочный пакет. Пожалуйста, укажите каталог пакета
Что я делаю не так?

Каталог (т.е. как проверить путь правильность) у вас находится в конфиг.пхп в корне сайта $tmp_path =
вот его и скопируйте(ну или посмотрите путь: если там был бы неправильный=у вас сайт бы не работал).

И ещё! : у вас по пути должна быть распакована папка(не архив), т.е. /tmp/newjoomla
а вот в папке newjoomla папки и файлы для установки (это касается установок любых расширений из каталога).
« Последнее редактирование: 07.02.2016, 21:20:21 от vipiusss »
Миграция, установка, обновление версий Joomla  |  Создание сайтов "под ключ"  |  Эксклюзивные заглушки "offline"  |  Работа с "напильником" над шаблонами и расширениями